import * as i0 from '@angular/core';
import { MessageService, ToastMessageOptions } from 'primeng/api';

declare class Toast {
    protected readonly toastPosition = "bottom-right";
    protected readonly toastTransX = "translateX(100%)";
    static ɵfac: i0.ɵɵFactoryDeclaration<Toast, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Toast, "mt-toast", never, {}, {}, never, never, true, never>;
}

declare class ToastService {
    messageService: MessageService;
    add(message: ToastMessageOptions): void;
    addAll(messages: ToastMessageOptions[]): void;
    clear(key?: string): void;
    success(detail?: string, summary?: string): void;
    warn(detail?: string, summary?: string): void;
    error(detail?: string, summary?: string): void;
    info(detail?: string, summary?: string): void;
    secondary(detail?: string, summary?: string): void;
    contrast(detail?: string, summary?: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastService>;
}

export { Toast, ToastService };
